UpgradeSubscription
POST
/billing/v1/subscription/upgradeRequest Body
requiredapplication/json{
"$ref": "#/components/schemas/billing.v1.UpgradeSubscriptionRequest",
"$ref-value": {
"type": "object",
"properties": {
"org_id": {
"type": "string",
"examples": [
"OR98234j23"
],
"title": "org_id"
},
"stripe_price_id": {
"type": "string",
"title": "stripe_price_id",
"minLength": 1
}
},
"title": "UpgradeSubscriptionRequest",
"required": [
"stripe_price_id"
],
"additionalProperties": false
}
}Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/billing.v1.UpgradeSubscriptionResponse",
"$ref-value": {
"type": "object",
"properties": {
"client_secret": {
"type": "string",
"title": "client_secret"
}
},
"title": "UpgradeSubscriptionResponse",
"additionalProperties": false
}
}curl -X POST "https://api.rixl.com/billing/v1/subscription/upgrade" \
-H "Content-Type: application/json" \
-d '{
"stripe_price_id": "string"
}'Success
application/json
{
"$ref": "#/components/schemas/billing.v1.UpgradeSubscriptionResponse",
"$ref-value": {
"type": "object",
"properties": {
"client_secret": {
"type": "string",
"title": "client_secret"
}
},
"title": "UpgradeSubscriptionResponse",
"additionalProperties": false
}
}